OpenGLUT 0.6.3 development - OpenGLUT: og_videoresize.c File Reference
Keywords: OpenGLUT, FreeGLUT, OpenGL, GLUT, X11, Windows, Programming, Documentation, Download, Development, Sourceforge

OpenGLUT Documentation
Introduction | Documentation | Examples | Proposals | Authors | Copying | Todo | Bugs | Links

# og_videoresize.c File Reference

Video resizing. More...

## Functions
void | glutSetupVideoResizing (void)
void | glutStopVideoResizing (void)
void | glutVideoPan (int x, int y, int w, int h)
void | glutVideoResize (int x, int y, int w, int h)
int | glutVideoResizeGet (GLenum eWhat)

## Detailed Description

Video resizing.

## Function Documentation

void glutSetupVideoResizing | ( | void |  | ) |

| Undocumented, unimplemented. This function is undocumented. This function is unimplemeneted (presently). See also: glutVideoResizeGet(), glutSetupVideoResizing(), glutStopVideoResizing(), glutVideoResize(), glutVideoPan()

void glutStopVideoResizing | ( | void |  | ) |

| Undocumented, unimplemented. This function is undocumented. This function is unimplemeneted (presently). See also: glutVideoResizeGet(), glutSetupVideoResizing(), glutStopVideoResizing(), glutVideoResize(), glutVideoPan()

void glutVideoPan | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

  | Undocumented, unimplemented. Parameters:
  | x | A horizontal position.
  | y | A vertical position.
  | w | A width.
  | h | A height.
This function is undocumented. This function is unimplemeneted (presently). Appears to be for moving the video display about (panning) in a much larger graphic area than will fit on the screen at current resolution. See also: glutVideoResizeGet(), glutSetupVideoResizing(), glutStopVideoResizing(), glutVideoResize(), glutVideoPan()

void glutVideoResize | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |

  | Undocumented, unimplemented. Parameters:
  | x | A horizontal position.
  | y | A vertical position.
  | w | A width.
  | h | A height.
This function is undocumented. This function is unimplemeneted (presently). This function appears to allow setting the video display rectangle to a sub-rectangle of the hardware buffer. x and y are apparently the upper left corner, and w and h are the width and height of the rectangle. It is not clear what should be done if the values are invalid (negative x, for example). See also: glutVideoResizeGet(), glutSetupVideoResizing(), glutStopVideoResizing(), glutVideoResize(), glutVideoPan()

int glutVideoResizeGet | ( | GLenum | eWhat | ) |

  | Undocumented, unimplemented. Parameters:
  | eWhat | An enumerated tag.
This function is undocumented. This function is unimplemeneted (presently). From GLUT 3.7's implementation, the following is a list of symbols that GLUT 3.7 supported. These are not necessarily defined in OpenGLUT at this time, nor is support presently available for them: GLUT_VIDEO_RESIZE_POSSIBLE (feature presence) GLUT_VIDEO_RESIZE_IN_USE GLUT_VIDEO_RESIZE_X_DELTA GLUT_VIDEO_RESIZE_Y_DELTA GLUT_VIDEO_RESIZE_WIDTH_DELTA GLUT_VIDEORESIZE_HEIGHT_DELTA GLUT_VIDEO_REISZE_X GLUT_VIDEO_RESIZE_Y GLUT_VIDEO_RESIZE_WIDTH GLUT_VIDEO_RESIZE_HEIGHT A -1 should be returned for unimplemented features, and a warning printed. See also: glutVideoResizeGet(), glutSetupVideoResizing(), glutStopVideoResizing(), glutVideoResize(), glutVideoPan()

OpenGLUT Development @ Sourceforge
Homepage | Summary | Files | CVS | Forums | Lists | Bugs | RFE
Generated on Tue Oct 5 18:44:24 2004 for OpenGLUT by doxygen 1.3.8
The OpenGLUT project is hosted by sourceforge.net.